## frotz 2.44

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Define your optimization flags.  Most compilers understand -O and -O2,
 # Standard (note: Solaris on UltraSparc using gcc 2.8.x might not like this.)
 #
-OPTS = -O2 
+OPTS = -O2
 
 # Pentium with gcc 2.7.0 or better
 #OPTS = -O2 -fomit-frame-pointer -malign-functions=2 -malign-loops=2 \
@@ -44,7 +44,7 @@
 #
 #SOUND_LIB = -lossaudio
 
-# Define your sound device 
+# Define your sound device
 # This should probably be a command-line/config-file option.
 #
 #SOUND_DEV = /dev/dsp
@@ -94,6 +94,12 @@
 #
 #EXTENSION = .exe
 
+SDLINC = `sdl-config --cflags`
+FTCFLAGS = `freetype-config --cflags`
+FTLIBS = `freetype-config --libs`
+
+SDL_DEFS = $(SDLINC) $(FTCFLAGS) $(FTLIBS)
+SDL_LIBS = -ljpeg -lpng -lz -lSDL -lSDL_mixer
 
 #####################################################
 # Nothing under this line should need to be changed.
@@ -101,8 +107,8 @@
 
 SRCDIR = src
 
-VERSION = 2.43
- 
+VERSION = 2.44
+
 NAME = frotz
 BINNAME = $(NAME)
 
@@ -140,6 +146,7 @@
 		$(CURSES_DIR)/ux_pic.o \
 		$(CURSES_DIR)/ux_screen.o \
 		$(CURSES_DIR)/ux_text.o \
+		$(CURSES_DIR)/ux_blorb.o \
 		$(CURSES_DIR)/ux_audio_none.o \
 		$(CURSES_DIR)/ux_audio_oss.o
 
@@ -150,37 +157,79 @@
 		$(DUMB_DIR)/dumb_output.o \
 		$(DUMB_DIR)/dumb_pic.o
 
-TARGETS = $(COMMON_TARGET) $(CURSES_TARGET)
+SDL_DIR = $(SRCDIR)/sdl
+SDL_TARGET = $(SRCDIR)/frotz_sdl.a
+SDL_OBJECT =	$(SDL_DIR)/sf_aiffwav.o \
+		$(SDL_DIR)/sf_deffont.o \
+		$(SDL_DIR)/sf_font3.o \
+		$(SDL_DIR)/sf_fonts.o \
+		$(SDL_DIR)/sf_ftype.o \
+		$(SDL_DIR)/sf_images.o \
+		$(SDL_DIR)/sf_msg_en.o \
+		$(SDL_DIR)/sf_osfdlg.o \
+		$(SDL_DIR)/sf_resample.o \
+		$(SDL_DIR)/sf_resource.o \
+		$(SDL_DIR)/sf_sig.o \
+		$(SDL_DIR)/sf_sound.o \
+		$(SDL_DIR)/sf_util.o \
+		$(SDL_DIR)/sf_video.o
+
+# Blorb file handling
+#
+BLORB_DIR = $(SRCDIR)/blorb
+BLORB_TARGET =  $(SRCDIR)/blorblib.a
+BLORB_OBJECT =  $(BLORB_DIR)/blorblib.o
+
+
+TARGETS = $(COMMON_TARGET) $(CURSES_TARGET) $(BLORB_TARGET)
 
 OPT_DEFS = -DCONFIG_DIR="\"$(CONFIG_DIR)\"" $(CURSES_DEF) \
-	-DVERSION="\"$(VERSION)\"" -DSOUND_DEV="\"$(SOUND_DEV)\""
-
-COMP_DEFS = $(OPT_DEFS) $(COLOR_DEFS) $(SOUND_DEFS) $(SOUNDCARD) \
+	-DVERSION="\"$(VERSION)\""
+
+CURSES_DEFS = $(OPT_DEFS) $(COLOR_DEFS) $(SOUND_DEFS) $(SOUNDCARD) \
 	$(MEMMOVE_DEF)
 
-FLAGS = $(OPTS) $(COMP_DEFS) $(INCL)
+FLAGS = $(OPTS) $(CURSES_DEFS) $(INCL)
+
 
 $(NAME): $(NAME)-curses
-
-$(NAME)-curses:		soundcard.h  $(COMMON_TARGET) $(CURSES_TARGET)
-	$(CC) -o $(BINNAME)$(EXTENSION) $(TARGETS) $(LIB) $(CURSES) \
-		$(SOUND_LIB)
-
-all:	$(NAME) d$(NAME)
+curses:  $(NAME)-curses
+$(NAME)-curses: $(COMMON_TARGET) $(CURSES_TARGET) $(BLORB_TARGET)
+	$(CC) -o $(BINNAME)$(EXTENSION) $(TARGETS) $(LIB) $(CURSES) $(SOUND_LIB)
 
 dumb:		$(NAME)-dumb
 d$(NAME):	$(NAME)-dumb
 $(NAME)-dumb:		$(COMMON_TARGET) $(DUMB_TARGET)
-	$(CC) -o d$(BINNAME)$(EXTENSION) $(COMMON_TARGET) \
-		$(DUMB_TARGET) $(LIB)
+	$(CC) -o d$(BINNAME)$(EXTENSION) $(COMMON_TARGET) $(DUMB_TARGET) $(LIB)
+
+sdl:		$(NAME)-sdl
+s$(NAME):	$(NAME)-sdl
+$(NAME)-sdl:	$(COMMON_TARGET) $(SDL_TARGET) $(BLORB_TARGET)
+	$(CC) -o s$(BINNAME) $(COMMON_TARGET) $(SDL_TARGET) $(BLORB_TARGET) $(SDL_LIBS)
+
+all:	$(NAME) d$(NAME)
+
 
 .SUFFIXES:
 .SUFFIXES: .c .o .h
 
-.c.o:
-	$(CC) $(FLAGS) $(CFLAGS) -o $@ -c $<
-
-# If you're going to make this target manually, you'd better know which 
+$(COMMON_OBJECT): %.o: %.c
+	$(CC) $(OPTS) $(COMMON_DEFS) -o $@ -c $<
+
+$(BLORB_OBJECT): %.o: %.c
+	$(CC) $(OPTS) -o $@ -c $<
+
+$(DUMB_OBJECT): %.o: %.c
+	$(CC) $(OPTS) -o $@ -c $<
+
+$(CURSES_OBJECT): %.o: %.c
+	$(CC) $(OPTS) $(CURSES_DEFS) -o $@ -c $<
+
+$(SDL_OBJECT): %.o: %.c
+	$(CC) $(OPTS) $(SDL_DEFS) -o $@ -c $<
+
+
+# If you're going to make this target manually, you'd better know which
 # config target to make first.
 #
 common_lib:	$(COMMON_TARGET)
@@ -206,6 +255,23 @@
 	ar rc $(DUMB_TARGET) $(DUMB_OBJECT)
 	ranlib $(DUMB_TARGET)
 	@echo
+
+sdl_lib:	$(SDL_TARGET)
+$(SDL_TARGET): $(SDL_OBJECT)
+	@echo
+	@echo "Archiving SDL interface code..."
+	ar rc $(SDL_TARGET) $(SDL_OBJECT)
+	ranlib $(SDL_TARGET)
+	@echo
+
+blorb_lib:	$(BLORB_TARGET)
+$(BLORB_TARGET): $(BLORB_OBJECT)
+	@echo
+	@echo "Archiving Blorb file handling code..."
+	ar rc $(BLORB_TARGET) $(BLORB_OBJECT)
+	ranlib $(BLORB_TARGET)
+	@echo
+
 
 soundcard.h:
 	@if [ ! -f $(SRCDIR)/soundcard.h ] ; then \
@@ -257,14 +323,17 @@
 
 clean:
 	rm -f $(SRCDIR)/*.h $(SRCDIR)/*.a
-	rm -f $(COMMON_DIR)/*.o $(CURSES_DIR)/*.o $(DUMB_DIR)/*.o
+	find . -name *.o -exec rm -f {} \;
+	find . -name *.O -exec rm -f {} \;
 
 distclean: clean
-	rm -f $(BINNAME)$(EXTENSION) d$(BINNAME)$(EXTENSION)
+	rm -f $(BINNAME)$(EXTENSION) d$(BINNAME)$(EXTENSION) s$(BINNAME)
+	rm -f *.EXE *.BAK *.LIB
+	rm -f *.exe *.bak *.lib
 	rm -f *core $(SRCDIR)/*core
 	-rm -rf $(distdir)
 	-rm -f $(distdir).tar $(distdir).tar.gz
-	
+
 realclean: distclean
 
 clobber: distclean
