=== src/test/etude/Makefile ===

etude.z5: etude.inf header.inc styles.inc color.inc \
		accents.inc accentin.inc division.inc timedch.inc \
		timedstr.inc givenin.inc undo.inc exittext.inc
	inform etude.inf etude.z5

gntests.z5: gntests.inf
	inform gntests.inf gntests.z5

go: etude.z5
	xzip etude.z5

fgo: etude.z5
	frotz etude.z5

jgo: etude.z5
	jzip etude.z5
