=== debian/changelog ===
frotz (2.44-1) unstable; urgency=medium

  * Maintenance release
    * Bumped standards-version and debhelper

 -- Robert Lemmen <robertle@semistable.com>  Thu, 15 Mar 2018 21:00:18 +0100

frotz (2.44-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (closes: #786961).
  * Provide a zcode-interpreter alternative (closes: #780523).

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Jan 2016 15:28:52 +0100
