## frotz 2.52+dfsg

=== debian/changelog ===
frotz (2.52+dfsg-2) unstable; urgency=medium

  * Source-only upload after going through NEW.

 -- Stephen Kitt <skitt@debian.org>  Tue, 04 Aug 2020 08:49:40 +0200

frotz (2.52+dfsg-1) unstable; urgency=medium

  * Adopt the package; thanks to Robert for maintaining the package all
    these years!
  * Switch to debhelper compatibility level 13.
  * Drop unnecessary buildtools.mk inclusion.
  * Wrap and sort the control files.
  * Set “Rules-Requires-Root: no”.
  * Enable all hardening options.
  * Re-write debian/copyright in machine-readable format. Some of the
    tests aren’t explicitly licensed, so exclude them for now to keep
    things simple.
  * Install the dumb and SDL versions; the SDL version is in a new
    package, sdlfrotz.
  * Fix some spelling mistakes spotted by Lintian.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 26 Jul 2020 21:37:05 +0200

frotz (2.52-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/watch to track the GitLab repository (closes: #901364),
    and update the homepage.
  * Upgrade to 2.52, which builds with GCC 10 (closes: #957235),
    cross-builds correctly (closes: #884723), and includes UTF-8 and audio
    support (closes: #513736).

 -- Stephen Kitt <skitt@debian.org>  Thu, 23 Jul 2020 14:28:04 +0200
