=== debian/changelog ===
frotz (2.53+dfsg-1) unstable; urgency=medium

  * New upstream bug-fix release.
  * Acknowledge old NMUs. Closes: #812505, #966128.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 02 Mar 2021 14:09:25 +0100
