=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CFLAGS)" all
+	dh_auto_build -- BINDIR=/usr/games CFLAGS="$(CPPFLAGS) $(CFLAGS)" curses dumb sdl
 
 override_dh_auto_install:
-	$(MAKE) PREFIX=$$(pwd)/debian/tmp/usr install_all
+	dh_auto_install -- BINDIR=/usr/games PREFIX=/usr install_frotz install_dfrotz install_sfrotz
