## frotz 2.54%2Bdfsg

=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg" \
  https://gitlab.com/DavidGriffith/frotz/tags?sort=updated_desc \
  archive/@ANY_VERSION@/frotz-\d\S*@ARCHIVE_EXT@
